libdap::D4Dimensions Class Reference

`#include <D4Dimensions.h>`

## Public Types

typedef vector< D4Dimension * >::const_iterator | D4DimensionsCIter
typedef vector< D4Dimension * >::iterator | D4DimensionsIter
| Iterator used for D4Dimensions.

## Public Member Functions

void | add_dim (D4Dimension *dim)
void | add_dim_nocopy (D4Dimension *dim)
| D4Dimensions (const D4Dimensions &rhs)
| D4Dimensions (D4Group *g)
D4DimensionsIter | dim_begin ()
| Get an iterator to the start of the dimensions.
D4DimensionsIter | dim_end ()
| Get an iterator to the end of the dimensions.
bool | empty () const
| Does this D4Dimensions object actually have dimensions?
D4Dimension * | find_dim (const string &name)
void | insert_dim (D4Dimension *dim, D4DimensionsIter i)
void | insert_dim_nocopy (D4Dimension *dim, D4DimensionsIter i)
D4Dimensions & | operator= (const D4Dimensions &rhs)
D4Group * | parent () const
void | print_dap4 (XMLWriter &xml, bool constrained=false) const
void | set_parent (D4Group *g)

## Protected Member Functions

void | m_duplicate (const D4Dimensions &rhs)

## Detailed Description

This class holds information about dimensions. This can be used to store actual dimension information in an instance of BaseType and it can be used to store the definition of a dimension in an instance of Group.

Definition at line 101 of file D4Dimensions.h.

## Member Typedef Documentation

## D4DimensionsCIter

typedef vector<D4Dimension*>::const_iterator libdap::D4Dimensions::D4DimensionsCIter

Definition at line 123 of file D4Dimensions.h.

## D4DimensionsIter

typedef vector<D4Dimension*>::iterator libdap::D4Dimensions::D4DimensionsIter

Iterator used for D4Dimensions.

Definition at line 122 of file D4Dimensions.h.

## Constructor & Destructor Documentation

## D4Dimensions() [1/3]

libdap::D4Dimensions::D4Dimensions | ( |  | ) |

inline

Definition at line 125 of file D4Dimensions.h.

## D4Dimensions() [2/3]

libdap::D4Dimensions::D4Dimensions | ( | D4Group * | g | ) |

inline

Definition at line 126 of file D4Dimensions.h.

## D4Dimensions() [3/3]

libdap::D4Dimensions::D4Dimensions | ( | const D4Dimensions & | rhs | ) |

inline

Definition at line 127 of file D4Dimensions.h.

## ~D4Dimensions()

virtual libdap::D4Dimensions::~D4Dimensions | ( |  | ) |

inline virtual

Definition at line 129 of file D4Dimensions.h.

## Member Function Documentation

## add_dim()

void libdap::D4Dimensions::add_dim | ( | D4Dimension * | dim | ) |

inline

Append a new dimension. In DAP4 dimensions are either of a known size or are varying. For fixed-size dimensions, the value of varying should be false. For varying dimensions the value of 'size' will be ignored - any value can be used when called this method.

Parameters

  dim | Pointer to the D4Dimension object to add; deep copy

Definition at line 155 of file D4Dimensions.h.

## add_dim_nocopy()

void libdap::D4Dimensions::add_dim_nocopy | ( | D4Dimension * | dim | ) |

inline

Append a new dimension.

Parameters

  dim | Pointer to the D4Dimension object to add; copies the pointer

Definition at line 160 of file D4Dimensions.h.

## dim_begin()

D4DimensionsIter libdap::D4Dimensions::dim_begin | ( |  | ) |

inline

Get an iterator to the start of the dimensions.

Definition at line 163 of file D4Dimensions.h.

## dim_end()

D4DimensionsIter libdap::D4Dimensions::dim_end | ( |  | ) |

inline

Get an iterator to the end of the dimensions.

Definition at line 166 of file D4Dimensions.h.

## empty()

bool libdap::D4Dimensions::empty | ( |  | ) | const

inline

Does this D4Dimensions object actually have dimensions?

Definition at line 142 of file D4Dimensions.h.

## find_dim()

D4Dimension * libdap::D4Dimensions::find_dim | ( | const string & | name | ) |

Definition at line 118 of file D4Dimensions.cc.

## insert_dim()

void libdap::D4Dimensions::insert_dim | ( | D4Dimension * | dim,
|  | D4DimensionsIter | i
| ) |  |

inline

Insert a dimension. Insert a dimension before the position specified by the iterator.

Note
  Calling this method invalidates all iterators that reference this D4Dimension object.

Parameters

  dim | Inserted before i; deep copy
  i | iterator

Definition at line 177 of file D4Dimensions.h.

## insert_dim_nocopy()

void libdap::D4Dimensions::insert_dim_nocopy | ( | D4Dimension * | dim,
|  | D4DimensionsIter | i
| ) |  |

inline

Insert a dimension.

Parameters

  dim | Inserted before i; pointer copy
  i | iterator

Definition at line 185 of file D4Dimensions.h.

## m_duplicate()

void libdap::D4Dimensions::m_duplicate | ( | const D4Dimensions & | rhs | ) |

inline protected

Definition at line 110 of file D4Dimensions.h.

## operator=()

D4Dimensions & libdap::D4Dimensions::operator= | ( | const D4Dimensions & | rhs | ) |

inline

Definition at line 135 of file D4Dimensions.h.

## parent()

D4Group * libdap::D4Dimensions::parent | ( |  | ) | const

inline

Definition at line 144 of file D4Dimensions.h.

## print_dap4()

void libdap::D4Dimensions::print_dap4 | ( | XMLWriter & | xml,
|  | bool | constrained = `false`
| ) |  | const

Definition at line 129 of file D4Dimensions.cc.

## set_parent()

void libdap::D4Dimensions::set_parent | ( | D4Group * | g | ) |

inline

Definition at line 145 of file D4Dimensions.h.

The documentation for this class was generated from the following files:

- D4Dimensions.h
- D4Dimensions.cc